namespace Messaging {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [SchemaType(SchemaTypeEnum.Document)]
    [Schema(@"http://Demo.Messaging.Restock",@"Restock")]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"Restock"})]
    public sealed class Restock : Microsoft.BizTalk.TestTools.Schema.TestableSchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" xmlns=""http://Demo.Messaging.Restock"" targetNamespace=""http://Demo.Messaging.Restock"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:element name=""Restock"">
    <xs:complexType>
      <xs:sequence>
        <xs:element name=""Products"">
          <xs:complexType>
            <xs:sequence>
              <xs:element maxOccurs=""unbounded"" name=""Product"">
                <xs:complexType>
                  <xs:attribute name=""Quantity"" type=""xs:integer"" />
                  <xs:attribute name=""ID"" type=""xs:string"" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
      <xs:attribute name=""OrderID"" type=""xs:string"" />
    </xs:complexType>
  </xs:element>
</xs:schema>";
        
        public Restock() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [1];
                _RootElements[0] = "Restock";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
    }
}
